/*
 *
 *  The DbUnit Database Testing Framework
 *  Copyright (C)2002-2008, DbUnit.org
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package org.dbunit.assertion;

/**
 * Callback for {@link DbUnitAssert} to notify about the 
 * differences found during an assertion.
 * <p>
 * Inspired by the XMLUnit framework.
 * </p>
 * 
 * @author gommma (gommma AT users.sourceforge.net)
 * @author Last changed by: $Author: gommma $
 * @version $Revision: 877 $ $Date: 2008-11-15 11:03:44 +0100 (sab, 15 nov 2008) $
 * @since 2.4.0
 */
public interface DifferenceListener 
{

    /**
     * Is invoked by the {@link DbUnitAssert} when a data cell difference
     * has been found.
     * @param diff The difference that has been found
     */
    public void handle(Difference diff);
    
}
